Subject: Liaison Statement Improvements SOW for Community Input

From: IETF Administrative Director <[email-masked]>
Date: Mon, 24 Mar 2014 11:34:22 -0700

The IAOC desires improvements to the liaison statement tracking capabilities in the datatracker to 
address community requests and to simplify ongoing maintenance of the related code.

The community comment period ends 7 April 2014.  The IAOC will consider all comments received 
during this prior.

Liaison relationships with other standards setting bodies are managed by the IAB. The processes for 
managing the relationships are detailed in RFC4052, and the procedures for handling liaison statements 
are detailed in RFC4053. The current liaison statement management tool (LSMT) began from the 
definitions in that RFC and the LMST has been improved through previous contracted development. 
Individuals using the tool must follow the guidelines in RFC4691.  Developers working on the liaison 
statement management section of the datatracker must be familiar with all three RFCs. 

SOW Deliverables / Tasks

a.  Migrate the codebase and data to new models, refining the models as necessary. 
b.  Add history to liaison statements, capturing when they were received, posted, resent, approved, marked 
dead or modified.
c.  Add Point of Contact email addresses for each body to be used as the default Response Contact.
d.  Capture other SDOs identifiers for liaison statements.
e.  Add “Action Holder” email addresses to incoming liaison statements.
f.  Add the ability for a liaison statement to reference multiple other liaison statements as related.
g.  Allow a liaison statement to be sent from multiple bodies and sent to multiple bodies.
h.  Add the concept of a “dead” liaison statement, allowing an approver or the secretariat to remove a 
statement from the pending queue without posting it. Add a view to manage the set of dead liaison statements.
i.  Add the ability to resend a liaison statement.
j.  Improve search over posted liaison statements, searching all fields and allowing the results to be 
limited to a particular source and/or destination body and/or a particular time range. Facilitate browsing a 
series of related liaison statements as a “thread”.
k.  Address known issues with the liaison statement entry form when used as the secretariat and when used 
as a liaison manager.
l.  Make it easier to see which liaison statements still need action.
m.  Ensure liaison statement approvers are notified when there is something to approve.
n.  Remove the restriction against duplicate liaison statement titles.
o.  Allow the set of attachments to a liaison statement to be edited. In particular allow an attachment to be 
deleted. Leave a record in the history for each editing event.
p.  Improve test coverage, and ensure tests exercise the use cases detailed in this document.

All information submitted in response to this announcement is voluntary and may be used in the 
development of the SOW.

Thanks for your continuing advice and support.

Ray Pelletier 
IETF Administrative Director

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 24 Mar 2014 19:13:13 -0000

Ray,

Thanks for this.

Please take the time to consult with external users of this tool to get their input on the how they use the tool. For example, other SDOs use the tool to send us liaisons and (presumably) to check on their progress. Out liaison managers can probably find the right people for you to talk to.

It would be really (really) nice if the URLs of existing LSes could be preserved over the DB migration since they are treated as stable references in a number of places.

Cheers,
Adrian

> -----Original Message-----
> From: iesg [mailto:[email-masked]] On Behalf Of IETF Administrative
> Director
> Sent: 24 March 2014 18:34
> To: IETF Announcement List
> Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
> Subject: Liaison Statement Improvements SOW for Community Input
>